mod cli;
mod context;
mod model;

fn main() -> anyhow::Result<()> {
    let context = context::extract_cuddle()?;
    let mut cuddle_cli = cli::CuddleCli::new(context.clone())?;
    cuddle_cli = cuddle_cli.execute();

    println!("{:?}", cuddle_cli);

    Ok(())
}
